From 0605063662ef6ae92abe75956dc2432f5028a041 Mon Sep 17 00:00:00 2001
From: Mario Martelli <cocoa@schnuddelhuddel.de>
Date: Fri, 23 Jun 2017 18:32:49 +0200
Subject: [PATCH 1/4] org-protocol.el: Fix for failing open-source subprotocol

*  (org-protocol-open-source): make sure url is
sanitised before processing

TINYCHANGE
---
 lisp/org-protocol.el | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/lisp/org-protocol.el b/lisp/org-protocol.el
index 825435674..7e986a9ed 100644
--- a/lisp/org-protocol.el
+++ b/lisp/org-protocol.el
@@ -520,7 +520,7 @@ The location for a browser's bookmark should look like this:
   ;; As we enter this function for a match on our protocol, the return value
   ;; defaults to nil.
   (let ((result nil)
-        (f (plist-get (org-protocol-parse-parameters fname nil '(:url)) :url)))
+	(f (org-protocol-sanitize-uri (plist-get (org-protocol-parse-parameters fname nil '(:url)) :url))))
     (catch 'result
       (dolist (prolist org-protocol-project-alist)
         (let* ((base-url (plist-get (cdr prolist) :base-url))
-- 
2.11.0 (Apple Git-81)

